Bug Hunting Session
Bug 94227 - FILEOPEN: XLSX - Pattern/hatching fill no longer imported into charts
Summary: FILEOPEN: XLSX - Pattern/hatching fill no longer imported into charts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: regression
Depends on:
Blocks: OOXML-Object-Fill
  Show dependency treegraph
 
Reported: 2015-09-15 06:54 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-12 22:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (20.94 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-09-15 06:54 UTC, Yousuf Philips (jay) (retired)
Details
4.2 vs 5.1 (120.82 KB, image/png)
2015-09-15 06:57 UTC, Yousuf Philips (jay) (retired)
Details
how it looks in excel (133.31 KB, image/png)
2015-09-15 06:59 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-15 06:54:34 UTC
Created attachment 118723 [details]
sample

Steps:
1) Open attached file in LO
2) Notice that the chart titled 'ColorFul 3 / style 3' has no colored bars and notice that the chart titled 'Monochromatic 3 / Style 7' doesnt have a patterned chart

This is a regression as both elements had area fills set to pattern/hatching in 4.2.8, while later versions have it as none.

Version: 5.1.0.0.alpha1+
Build ID: eb2e1ab4651350bffc53f618961a910bd3bbcfd9
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-02_23:57:52
Locale: en-US (en_US.UTF-8)
Comment 1 Yousuf Philips (jay) (retired) 2015-09-15 06:57:44 UTC
Created attachment 118724 [details]
4.2 vs 5.1
Comment 2 Yousuf Philips (jay) (retired) 2015-09-15 06:59:44 UTC
Created attachment 118725 [details]
how it looks in excel
Comment 3 raal 2015-09-15 07:46:58 UTC
Reproducible with  5.0.1.2
ID sestavení: 81898c9f5c0d43f3473ba111d7b351050be20261, win7
Comment 4 Luke 2015-10-05 05:40:22 UTC
Reproducible with 4.3.5.2
The bar hatching is missing from Colorful 3, and the chart area hatching is missing from Monochromatic 3.
Comment 5 Commit Notification 2015-10-21 20:00:31 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e3c36255b9a17095745aba2489b347bccf42423

chart series support hatches, tdf#94227

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-11-02 14:39:55 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c34958475373397bd0c29f81c12ae918646d28fb&h=libreoffice-5-0

chart series support hatches, tdf#94227

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.